<?php
$list = array();

// Build an array of the file names.
if ($handle = opendir('.')) {
  while (false !== ($file = readdir($handle))) {
    if ($file != "." && $file != ".." && $file != "history.php") {
      $list[filemtime($file)] = $file;
    }
  }
  closedir($handle);
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>Console -> Weathermap History</title>
	<meta http-equiv=refresh content='300'>
	<meta http-equiv="Content-Type" content="text/html;charset=utf-8">
	<link href="/cacti/include/main.css" type="text/css" rel="stylesheet">
	<link href="/cacti/images/favicon.ico" rel="shortcut icon">
</head>

<body>
<table width='100%' style='background-color: #f5f5f5; border: 1px solid #bbbbbb;' align='center' cellpadding='2' cellspacing='0'>
<tr bgcolor="#e5e5e5">
<td>
	<table width="100%" cellpadding="0" cellspacing="0">
	<tr>
		<td class="textHeader">Weathermap History</td>
	</tr>
	</table>
</td>
</tr>
</table>
<br>

<?php
// Sort the array - files are named with date included for sorting.
rsort($list);

// Set start value for loop variables.
$dayw = "none";
$hourw = "none";

foreach ($list as $value) {
  // Want to draw a table of links to the files by hour, so look at the
  // day and hour of the file name to know when to create a new table or row.
  $day = substr($value, 0, 12);
 
  if($dayw != $day) {
    if($dayw != "none")
      echo "</table><br>\n";

    echo "<table>\n<caption>" . substr($day, 4, 4) . '-' . substr($day, 8, 2) . '-' . substr($day, 10, 2) . "</caption>\n";
    $dayw = $day;

    // Reset the hour since we are starting a new day.
    $hourw = "none";
  }

  $hour = substr($value, 12, 2);
 
  if($hourw != $hour) {
    if($hourw != "none")
      echo "</tr>\n";

    echo "<tr>\n";
    $hourw = $hour;
  }

  echo '<td><a href="' . $value . '">' . substr($value, 12, 2) . ':' . substr($value, 14, 2) . "</a></td>\n";
}

echo "</tr>\n</table>\n";
?>

</body>
</html>
